Subject: [Gen-art] Genart last call review of draft-ietf-dnsop-rfc2845bis-06

From: Jouni Korhonen via Datatracker <[email-masked]>
Date: Tue, 21 Jan 2020 13:03:20 -0800

Reviewer: Jouni Korhonen
Review result: Ready

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-dnsop-rfc2845bis-??
Reviewer: Jouni Korhonen
Review Date: 2020-01-21
IETF LC End Date: 2020-01-21
IESG Telechat date: Not scheduled for a telechat

Summary:

This document was well written and easy read. I found no complaints. There are
bogus IDNits warnings for "non-RFC2606-compliant FQDNs".

Major issues:

None.

Minor issues:

None.

Nits/editorial comments:

1) The sentence in lines 248-250 was hard to parse in the first few reads. I
suggest rewording... somehow. It was like this in RFC2845 already, though.

248                    If hosts A.site.example and B.example.net share a key,
249              possibilities for the key name include <id>.A.site.example,
250              <id>.B.example.net, and <id>.A.site.example.B.example.net.